<?php  

session_start();
$perfil=$_SESSION['perfil'];
if(!isset($_SESSION['nombre']) &&  !isset($_SESSION['rut']) && !isset($_SESSION['perfil'])){
    header("location:../../index.php");
}
date_default_timezone_set('America/Santiago');
//echo date("Y-m-d H:i:s");
?>
<!DOCTYPE html>
<html>
<head><meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <title>Planillas</title>
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/metro-orange/easyui.css">  
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/mobile.css">  
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/icon.css">  
    <link href="../../css/estilo.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.min.js"></script>  
    <script type="text/javascript" src="../../js/jquery-1.8.0.min.js"></script>
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.easyui.min.js"></script> 
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.easyui.mobile.js"></script>
      <script type="text/javascript" src="../../jquery-easyui-1.4.5/locale/easyui-lang-es.js"></script>    
</head>
<body>
    <div id="nuevo_planilla1" class="easyui-navpanel">
            <table id="dg" data-options="header:'#hh',singleSelect:true,border:false,fit:true,fitColumns:true,scrollbarSize:0">  
                <thead>  
                    <tr>  
                        <th data-options="field:'folio_planilla',width:80">Codigo</th>  
                        <th data-options="field:'fecha_inspeccion',width:100">Fecha</th>
                        <th data-options="field:'exportador_nombre',width:100">Exportador</th>
                        <th data-options="field:'packing_nombre',width:100">Packing</th>
                        <th data-options="field:'especie_nombre',width:100">Especie</th>
                        <th data-options="field:'usuario_nombre',width:100">Inspector</th>
                        <th data-options="field:'estado',width:100">Estado</th> 
                        <th data-options="field:'sincro',width:100">Sincro</th>
                    </tr>
                </thead>  
            </table>
            <div id="hh">
                <div class="m-toolbar">
                    <div class="m-left">
                        <?php  
                            if($perfil=="INSPECTOR"){
                                echo '<a href="../../inspector.php" class="easyui-linkbutton m-back" plain="true" outline="true">Back</a>';?>
                                <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-add',plain:true" onclick="inspeccionar();"></a>
                           <?php
                            }else if($perfil=="CLIENTE"){
                                echo '<a href="../../Cliente.php" class="easyui-linkbutton m-back" plain="true" outline="true">Back</a>';?>
                                <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-add',plain:true" onclick="inspeccionar2();"></a>
                           <?php
                            }else if($perfil=="ADMINISTRADOR"){
                                echo '<a href="../../sistema.php" class="easyui-linkbutton m-back" plain="true" outline="true">Back</a>';?>
                                <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-add',plain:true" onclick="inspeccionar2();"></a>
                           <?php }

                        ?>
                    
                          
                    </div>
                    <div class="m-title">Ingreso Planillas</div>

                    <div class="m-right">
                        
                        <!--<a href="#formulario2" class="easyui-linkbutton" data-options="animation:'slide',direction:'left',iconCls:'icon-save',plain:true" onclick="$('#ff1').form('clear')"></a>-->
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-save',plain:true" onclick="nuevoReg();"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-edit',plain:true" onclick="editarReg();"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-cerrar_planilla',plain:true" onclick="cerrar();"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-cancel',plain:true" onclick="eliminar();"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-reload',plain:true" onclick="$('#dg').datagrid('reload');"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-upload',plain:true" onclick="sincronizar();"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-large-clipart',plain:true" onclick="sincronizar_foto();"></a>
                    </div>
                </div>
            </div>
    </div><!--div final -->

    <div id="dlg1" class="easyui-navpanel" style="padding:10px">
            <header>
                <div class="m-toolbar">
                    <div class="m-title">Ingreso Datos</div>
                    <div class="m-left">
                        <a href="#" class="easyui-linkbutton m-back" data-options="plain:true,outline:true,back:true">Back</a>
                    </div>
                    <div class="m-right">
                        <a href="javascript:void(0)" class="easyui-linkbutton" onclick="$('#ff').form('reset')" style="width:60px">Reset</a>
                    </div>
                </div>
            </header>
            <form id="ff1" method="post" novalidate>
                <div>
                    <label>Cliente</label>
                    <input id="cliente_cod" name="cliente_cod" class="easyui-textbox" prompt="Cliente" style="width:100%" editable="false">
                </div>
                <div>
                    <label>Exportador</label>
                    <input id="exportador_cod" name="exportador_cod" class="easyui-textbox" prompt="Exportador" style="width:100%" editable="false">
                </div>
                <div>
                    <label>Packing</label>
                    <input id="packing_cod" name="packing_cod" class="easyui-textbox" prompt="Packing" style="width:100%" editable="false">
                </div>
                <div>
                    <label>Especie</label>
                    <input id="especie_cod" name="especie_cod" class="easyui-textbox" prompt="Especie" style="width:100%" editable="false">
                </div>
                <div>
                    <label>Fecha Inspeccion</label>
                    <input id="fecha_inspeccion" name="fecha_inspeccion" type="date" prompt="Fecha Inspeccion" style="width:100%">
                </div>
                <div>
                    <label>Inspector</label>
                    <input id="usuario_rut" name="usuario_rut" class="easyui-textbox" prompt="Inspector" style="width:100%" editable="false">
                </div>
                <div>
                    <label>Norma</label>
                    <input id="norma_id" name="norma_id" class="easyui-textbox" prompt="Norma" style="width:100%" editable="false">
                </div>
                <div>
                    <label>Turno</label>
                    <input id="turno" name="turno" class="easyui-combobox" url="sqlturno.json" panelHeight="auto" editable="false" valueField="id" textField="texto" required style="width:100%">
                </div>
            </form>
            <div class="dialog-button">
                <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="guardarReg();">Guardar</a>
                    <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="$.mobile.back();">Cancelar</a>
                
            </div>
        </div>

    <div id="cerrar_planilla" class="easyui-navpanel" style="padding:10px">
            <header>
                <div class="m-toolbar">
                    <div class="m-title">Cerrar Planilla</div>
                    <div class="m-left">
                        <a href="#" class="easyui-linkbutton m-back" data-options="plain:true,outline:true,back:true">Back</a>
                    </div>
                    <div class="m-right">
                        <a href="javascript:void(0)" class="easyui-linkbutton" onclick="$('#ffcerrar').form('reset')" style="width:60px">Reset</a>
                    </div>
                </div>
            </header>
            <form id="ffcerrar" method="post" novalidate>
                <div>
                    <label>Observacion</label>
                    <input id="obs" name="obs" class="easyui-textbox" prompt="Observacion" style="width:100%">
                </div>
                
            </form>
            <div class="dialog-button">
                <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="guardarRegcerrar();">Guardar</a>
                    <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="$.mobile.back();">Cancelar</a>
                
            </div>
        </div>


    <div id="p1" class="easyui-navpanel" style="padding:10px">
        <header>
            <div class="m-toolbar">
                <div class="m-title">Control Proceso</div>
                <div class="m-left">
                        <a href="index.php" class="easyui-linkbutton m-back" plain="true" outline="true">Back</a>
                </div>
            </div>
        </header>
        <footer>
            <div class="m-toolbar">
                <div class="m-title">Panel Footer</div>
            </div>
        </footer>
    </div>

    <div id="form_dinamico" class="easyui-navpanel" style="padding:10px">
        <header>
            <div class="m-toolbar">
                <div class="m-title">Control Proceso</div>
                <div class="m-left">
                        <a href="index.php" class="easyui-linkbutton m-back" plain="true" outline="true">Back</a>
                </div>
            </div>
        </header>
        <footer>
            <div class="m-toolbar">
                <div class="m-title">Panel Footer</div>
            </div>
        </footer>
    </div>

    <div id="p2" class="easyui-navpanel" style="padding:10px">
        <header>
            <div class="m-toolbar">
                <div class="m-title">Control Proceso</div>
                <div class="m-left">
                        <a href="javascript:void(0)" class="easyui-linkbutton m-back" plain="true" outline="true" onclick="$.mobile.go('#p1');">Back</a>
                        <input type="text" name='id_norma_detalle' id="id_norma_detalle" style="width:30px;">
                        <input type="text" name='tipo_dato' id="tipo_dato" style="width:30px;">
                        <input type="text" name='defecto_nombre' id="defecto_nombre" style="width:300px;">
                </div>
                <div class="m-right">
                        
                        <!--<a href="#formulario2" class="easyui-linkbutton" data-options="animation:'slide',direction:'left',iconCls:'icon-save',plain:true" onclick="$('#ff1').form('clear')"></a>-->
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-save',plain:true" onclick="nuevoReg2();"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-edit',plain:true" onclick="editarReg2();"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-cancel',plain:true" onclick="eliminar2();"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-reload',plain:true" onclick="$('#dgdefecto').datagrid('reload');"></a>
                        <a href="javascript:void(0)" class="easyui-linkbutton" data-options="iconCls:'icon-upload',plain:true" onclick="sincronizar2();"></a>
                    </div>
            </div>
        </header>
        <table id="dgdefecto" class="easyui-datagrid" border="0" width="800" pagination="true" rownumbers="false" fitColumns="true" singleSelect="true" fit="true" data-options="pageSize:24,pageList:[24,25,26]">
                    </table>
        
        
        
        <footer>
            <div class="m-toolbar">
                <div class="m-title">tabla ingreso</div>
            </div>
        </footer>
    </div>

    <div id="dlg3" class="easyui-navpanel" style="padding:10px">
            
            <header>
                <div class="m-toolbar">
                    <div class="m-title">Accion Correctiva</div>
                    <div class="m-left">
                        <a href="#" class="easyui-linkbutton m-back" data-options="plain:true,outline:true,back:true">Back</a>
                    </div>
                    <div class="m-right">
                        <a href="javascript:void(0)" class="easyui-linkbutton" onclick="$('#ff2').form('reset')" style="width:60px">Reset</a>
                        
                    </div>
                </div>
            </header>
            <form id="ff3" method="post" novalidate>
                <div>
                    <label>Acción Correctiva</label>
                    <input type="text" name='a_correctiva' id="a_correctiva" style="width:100%;">
                    
                </div>
            </form>
            <div class="dialog-button">
                <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="guardarReg3();">Guardar</a>
                 <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="$.mobile.back();">Cancelar</a>
            </div>
            <footer>
            <div class="m-toolbar">
                <div class="m-title">form3</div>
            </div>
        </footer>
        
    </div>

    <!-- FOTO -->

    <div id="dlg4" class="easyui-navpanel" style="padding:10px">
            
            <header>
                <div class="m-toolbar">
                    <div class="m-title">Foto</div>
                    <div class="m-left">
                        <a href="#" class="easyui-linkbutton m-back" data-options="plain:true,outline:true,back:true">Back</a>
                    </div>
                    <div class="m-right">
                        <a href="javascript:void(0)" class="easyui-linkbutton" onclick="$('#ff2').form('reset')" style="width:60px">Reset</a>
                        
                    </div>
                </div>
            </header>
            <form id="ff4" method="post" novalidate enctype="multipart/form-data">
                <div>
                    <label>Foto</label>
                    <input id="foto" name="foto" type="file" accept="image/*" capture="camera">
                    
                </div>
            </form>
            <div class="dialog-button">
                <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="guardarRegfoto();">Guardar Foto</a>
                 <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="$.mobile.back();">Cancelar</a>
            </div>
            <footer>
            <div class="m-toolbar">
                <div class="m-title">form4</div>
            </div>
        </footer>
        
    </div>

<!-- #######################################-->

    <style scoped>
       .tt-inner{
            display:inline-block;
            line-height:12px;
            padding-top:6px;
            position: relative;
        }
        p{
            line-height:150%;
        }
        body {
           /*font-family:helvetica,tahoma,verdana,sans-serif;*/ 
           font-family:Arial, Helvetica, sans-serif;
            color:#000;
            /*font-weight:bold;*/
            
            
            
            margin:0;
        }
        input{
            text-transform:uppercase;
            
        }
        textarea{
            text-transform:uppercase;
        }
    </style>  

            <script>
                //FORMATO FECHA
     function myformatter(date){
            var y = date.getFullYear();
            var m = date.getMonth()+1;
            var d = date.getDate();
            return (d<10?('0'+d):d)+'-'+(m<10?('0'+m):m)+'-'+y;
        }
        function myparser(s){
            if (!s) return new Date();
            var ss = (s.split('-'));
            var y = parseInt(ss[0],10);
            var m = parseInt(ss[1],10);
            var d = parseInt(ss[2],10);
            if (!isNaN(d) && !isNaN(m) && !isNaN(y)){
                return new Date(d,m-1,y);
            } else {
                return new Date();
            }
        }
                var data='listar.php';
                $(function(){
                    $('#dg').datagrid({
                        url:data
                    });
                });


                //FUNCIONES
                
    
         function sincronizar(){
                   
               $.ajax({
                type: "POST",
                url: "../../Sincronizar/API3/Subir_Planillas20-12-2017.php",
                success: function(a) {
                        $.messager.alert('Informacion',a,'info');
                                 // close the dialog
                                $('#dg').datagrid('reload');    // reload the user data
                }
               });
            
         }

         function sincronizar2(){
                   
                 $.ajax({
                type: "POST",
                url: "../../Sincronizar/API3/Subir_Planillas20-12-2017.php",
                success: function(a) {
                        $.messager.alert('Informacion',a,'info');
                                 // close the dialog
                                $('#dgdefecto').datagrid('reload');    // reload the user data
                }
               });
            
         }

         function sincronizar_foto(){
                   
                 $.ajax({
                type: "POST",
                url: "../../Sincronizar/API3/Subir_fotos.php",
                success: function(a) {
                        $.messager.alert('Informacion',a,'info');
                                 // close the dialog
                                $('#dgdefecto').datagrid('reload');    // reload the user data
                }
               });
            
         }
        function nuevoReg(){
                    $.mobile.go('#dlg1');
                    $('#ff1').form('clear');
                   
                    url = 'guardar.php';
         }

         function editarReg(){
            var row = $('#dg').datagrid('getSelected');
            if (row.estado=='ABIERTA'){
                $.mobile.go('#dlg1');
                $('#ff1').form('clear');
                $('#ff1').form('load',row);
                
                //$('#perfil').combobox('getValue');
                url = 'sqlactualizar.php?id='+row.folio_planilla+'&sincro='+row.sincro;
            }else{
                $.messager.alert('Advertencia','planilla cerrada','warning');         
            }
        }

        function guardarReg(){
            $('#ff1').form('submit',{
                url: url,
                onSubmit: function(){
                    return $(this).form('validate');
                },
                success: function(data){
                    if (data=="Datos Grabados" || data=="Datos Modificados"){
                        $.messager.alert('Informacion',data,'info');
                             // close the dialog
                             $.mobile.back();
                        $('#dg').datagrid('reload');    // reload the user data
                    } else {
                        $.messager.alert('Error',data,'error');
                    }
                }
            });
        }

        function eliminar(){
            var row = $('#dg').datagrid('getSelected');
            if (row){
                if (row.sincro!='S' && row.sincro!='E'){
                    $.messager.confirm('Confirmar','¿Esta seguro que desea Quitar el registro?'+row.folio_planilla,function(r){
                        if (r){
                            $.post('eliminar_planilla.php',{id:row.folio_planilla},function(result){
                                if (result.success){
                                    $('#dg').datagrid('reload');    // reload the user data
                                } else {
                                    $.messager.show({   // show error message
                                        title: 'Error',
                                        msg: result.msg
                                    });
                                }
                            },'json');
                        }
                    });
                }else{
                    $.messager.alert('Advertencia','La Planilla está Sincronizada','warning');         
                }
            }else{
                $.messager.alert('Advertencia','Seleccione un registro','warning');         
            }
        }
        //cerrar


         function cerrar(){
            var row = $('#dg').datagrid('getSelected');
            if (row){
                $.mobile.go('#cerrar_planilla');
                $('#ffcerrar').form('clear');
                $('#ffcerrar').form('load',row);
                
                //$('#perfil').combobox('getValue');
                url = 'sqlcerrar.php?id='+row.folio_planilla+'&sincro='+row.sincro;
            }else{
                $.messager.alert('Advertencia','Seleccione un registro','warning');         
            }
        }

        function guardarRegcerrar(){
            $('#ffcerrar').form('submit',{
                url: url,
                onSubmit: function(){
                    return $(this).form('validate');
                },
                success: function(data){
                    if (data=="Datos Grabados" || data=="Datos Modificados"){
                        $.messager.alert('Informacion',data,'info');
                             // close the dialog
                             $.mobile.back();
                        $('#dg').datagrid('reload');    // reload the user data
                    } else {
                        $.messager.alert('Error',data,'error');
                    }
                }
            });
        }


        //TABLA
        function cargarDatos(folio_planilla, norma_id){
                    $('#dgdefecto').datagrid({
                        url:'listar_defectos_hora.php?folio_planilla='+folio_planilla+'&norma_id='+norma_id,
                        columns:[[
                            {field:'folio_planilla',title:'Folio',width:100},
                            {field:'hora_registro',title:'Hora',width:100},
                            {field:'valor1_ingresado',title:'Valor1',width:100},
                            {field:'valor2_ingresado',title:'Valor2',width:100},
                            {field:'nproceso',title:'linea',width:100},
                            {field:'nlinea',title:'linea',width:100},
                            {field:'nsalida',title:'salida',width:100},
                            {field:'nespecie',title:'especie',width:100},
                            {field:'cumple_norma',title:'Cumple',width:100},
                            {field:'sincro',title:'Sincro',width:100},
                            {field:'a_correctiva',title:'AC',width:100},
                            {field:'link',title:'Link',width:100},
                            {field:'foto',title:'Foto',width:100}
                        ]]
                    });
                }

         //COMBOBOX
        $( document ).ready(function() {

            $('#cliente_cod').combogrid({
                panelWidth: '98%',
                mode: 'remote',
                url: 'sqlcbocliente.php',
                idField: 'cliente_cod',
                textField: 'cliente_nombre',
                columns: [[
                    {field:'cliente_cod',title:'Codigo',width:'30%',sortable:true},
                    {field:'cliente_nombre',title:'Nombre',width:'60%',sortable:true}
                ]],
                onSelect: function(rec){
                    var g2 = $('#cliente_cod').combogrid('grid');
                    var r2 = g2.datagrid('getSelected');
                    llenar_exportador(r2.cliente_cod);
                }
             }); 

            $('#usuario_rut').combogrid({
                panelWidth: '98%',
                mode: 'remote',
                url: 'sqlcbousuario.php',
                idField: 'usuario_rut',
                textField: 'usuario_nombre',
                columns: [[
                    {field:'usuario_rut',title:'Codigo',width:'30%',sortable:true},
                    {field:'usuario_nombre',title:'Nombre',width:'60%',sortable:true}
                ]]
             }); 
            
        }); //FIN 

         function llenar_exportador(cliente_cod){
            $('#exportador_cod').combogrid({
                panelWidth: '98%',
                mode: 'remote',
                url: 'sqlcboexportador2.php?cliente_cod='+cliente_cod,
                idField: 'exportador_cod',
                textField: 'exportador_nombre',
                columns: [[
                    {field:'exportador_cod',title:'Codigo',width:'30%',sortable:true},
                    {field:'exportador_nombre',title:'Nombre',width:'60%',sortable:true}
                ]],
                onSelect: function(rec){
                    var g2 = $('#exportador_cod').combogrid('grid');
                    var r2 = g2.datagrid('getSelected');
                    llenar_packing(r2.exportador_cod);
                    llenar_especie(r2.exportador_cod);
                }
             });
        }

         function llenar_packing(exportador_cod){
            $('#packing_cod').combogrid({
                panelWidth: '98%',
                mode: 'remote',
                url: 'sqlcbopacking.php?exportador_cod='+exportador_cod,
                idField: 'packing_cod',
                textField: 'packing_nombre',
                columns: [[
                    {field:'packing_cod',title:'Codigo',width:'30%',sortable:true},
                    {field:'packing_nombre',title:'Nombre',width:'60%',sortable:true}
                ]]
             });
        }
        function llenar_especie(exportador_cod){
            $('#especie_cod').combogrid({
                panelWidth: '98%',
                mode: 'remote',
                url: 'sqlcboespecie.php?exportador_cod='+exportador_cod,
                idField: 'especie_cod',
                textField: 'especie_nombre',
                columns: [[
                    {field:'especie_cod',title:'Codigo',width:'30%',sortable:true},
                    {field:'especie_nombre',title:'Nombre',width:'60%',sortable:true}
                ]],
                onSelect: function(rec){
                    var g2 = $('#especie_cod').combogrid('grid');
                    var r2 = g2.datagrid('getSelected');
                    var g3 = $('#exportador_cod').combogrid('grid');
                    var r3 = g3.datagrid('getSelected');
                    llenar_norma(r2.especie_cod, r3.exportador_cod);
                }
             });
        }

        function llenar_norma(especie_cod, exportador_cod){

            $('#norma_id').combogrid({
                panelWidth: '98%',
                mode: 'remote',
                url: 'sqlcbonorma.php?exportador_cod='+exportador_cod+'&especie_cod='+especie_cod,
                idField: 'norma_id',
                textField: 'norma_descripcion',
                columns: [[
                    {field:'norma_id',title:'Codigo',width:'30%',sortable:true},
                    {field:'norma_descripcion',title:'Nombre',width:'60%',sortable:true}
                ]]
             });
        }

        function inspeccionar(){
            var row = $('#dg').datagrid('getSelected');
            if (row){
                if(row.estado=="ABIERTA"){
                   
                    datos_planilla(row.folio_planilla, row.norma_id);
                }else{
                    $.messager.alert('Advertencia','Su Planilla está Cerrada','warning'); 
                }
            }else{
                 $.messager.alert('Advertencia','Seleccione un registro','warning'); 
            }
        }

        function inspeccionar2(){
            var row = $('#dg').datagrid('getSelected');
            if (row){
                
                   datos_planilla(row.folio_planilla, row.norma_id);
                
            }else{
                 $.messager.alert('Advertencia','Seleccione un registro','warning'); 
            }
        }

        function abrir_form_dinamico(){
            var id_norma_detalle=$('#id_norma_detalle').val();
            var tipo_dato=$('#tipo_dato').val();
            var row = $('#dg').datagrid('getSelected');
           

                $('#form_dinamico').navpanel({
                    href:'abrir_form_dinamico.php?folio_planilla='+row.folio_planilla+'&id_norma_detalle='+id_norma_detalle+'&tipo_dato='+tipo_dato
                    
                });
                
        }

        function datos_planilla(folio_planilla, norma_id){
            cargarDatos(folio_planilla, norma_id);
            abrir_form_dinamico();
            $.mobile.go('#p2');
            
            /*if(tipo_dato=='NUMERICO MENOR MAYOR'){
                $('#formulario').empty();
                $("#formulario").append("<input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>");
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
            }else if(tipo_dato=='SELLADO BOLSA'){
                $('#formulario').empty();
                $("#formulario").append("CANTIDAD BOLSAS MALAS<input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'><br/>CANTIDAD BOLSAS REVISADAS<input type='text' id='valor2_ingresado' name='valor2_ingresado' style='width:100%'>");
                $('#valor1_ingresado').numberbox({
                    min:0,
                    precision:1
                });
                $('#valor2_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
            }else if(tipo_dato=='NUMERICO MAYOR MENOR'){
                $('#formulario').empty();
                $("#formulario").append("<input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>");
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
            }else if(tipo_dato=='NUMERICO DOBLE RANGO'){
                $('#formulario').empty();
                $("#formulario").append("<input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>");
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
            }else if(tipo_dato=='CHECK SINO'){
                $('#formulario').empty();
                $("#formulario").append("<input id='valor1_ingresado' name='valor1_ingresado' style='width:200px;height:30px'>");
                $('#valor1_ingresado').switchbutton({
                    checked: true,
                    onText: 'SI',
                    offText: 'NO',
                    onChange: function(checked){
                        console.log(checked);
                    }
                });
            }else if(tipo_dato=='CHECK BUENO MALO'){
                $('#formulario').empty();
                $("#formulario").append("<input id='valor1_ingresado' name='valor1_ingresado' style='width:200px;height:30px'>");
                $('#valor1_ingresado').switchbutton({
                    checked: true,
                    onText: 'BUENO',
                    offText: 'MALO',
                    onChange: function(checked){
                        console.log(checked);
                    }
                });
            }else if(tipo_dato='NUMERICO TEXTO'){
                $('#formulario').empty();
                $("#formulario").append("<input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>");
                $('#valor1_ingresado').textbox({
                    
                });
            }else if(tipo_dato='TEXTO'){
                $('#formulario').empty();
                $("#formulario").append("<input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>");
                $('#valor1_ingresado').textbox({
                    
                });
            }else if(tipo_dato='OBSERVACION'){
                $('#formulario').empty();
                $("#formulario").append("<input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>");
                $('#valor1_ingresado').textbox({
                    
                });
            }*/
                
        }


        function nuevoReg2(){
            abrir_form_dinamico();
                    var row = $('#dg').datagrid('getSelected');
                    $.mobile.go('#form_dinamico');
                    $('#ff2').form('clear');
                    var id_norma_detalle=$('#id_norma_detalle').val();
                  
                    url = 'guardar_dato.php?id_norma_detalle='+id_norma_detalle+'&folio_planilla='+row.folio_planilla;
         }

         function editarReg2(){
            
            var row = $('#dgdefecto').datagrid('getSelected');
            if (row){
               $.mobile.go('#form_dinamico');
                $('#ff2').form('clear');
                $('#ff2').form('load',row);
                var id_norma_detalle=$('#id_norma_detalle').val();
                //$('#perfil').combobox('getValue');
                url = 'sqlactualizar_dato.php?id_norma_detalle='+id_norma_detalle+'&folio_planilla='+row.folio_planilla+'&planilla_id='+row.planilla_id+'&sincro='+row.sincro;
            }else{
                $.messager.alert('Advertencia','Seleccione un registro','warning');         
            }
        }

         function guardarReg2(){
            $('#ff2').form('submit',{
                url: url,
                onSubmit: function(){
                    return $(this).form('validate');
                },
                success: function(data){
                    if (data=="Datos Grabados" || data=="Datos Modificados"){
                        $.messager.alert('Informacion',data,'info');
                        $.mobile.back();    // close the dialog
                        $('#dgdefecto').datagrid('reload');    // reload the user data
                    } else {
                        $.messager.alert('Error',data,'error');
                    }
                }
            });
        }

         function eliminar2(){
            var row = $('#dgdefecto').datagrid('getSelected');
            if (row){
                if (row.sincro!='S' && row.sincro!='E'){
                    $.messager.confirm('Confirmar','¿Esta seguro que desea Quitar el registro?'+row.planilla_id,function(r){
                        if (r){
                            $.post('eliminar_dato.php',{id:row.planilla_id},function(result){
                                if (result.success){
                                    $('#dgdefecto').datagrid('reload');    // reload the user data
                                } else {
                                    $.messager.show({   // show error message
                                        title: 'Error',
                                        msg: result.msg
                                    });
                                }
                            },'json');
                        }
                    });
                }else{
                    $.messager.alert('Advertencia','Dato está Sincronizado','warning');         
                }
            }else{
                $.messager.alert('Advertencia','Seleccione un registro','warning');         
            }
        }

        function nuevoReg3(planilla_id, sincro){
                    var row = $('#dgdefecto').datagrid('getSelected');
                     $.mobile.go('#dlg3');
                    $('#ff3').form('load',row);
                    
                  
                    url = 'guardar_dato_correctivo.php?planilla_id='+planilla_id+'&sincro='+sincro;
         }

         function guardarReg3(){
            $('#ff3').form('submit',{
                url: url,
                onSubmit: function(){
                    return $(this).form('validate');
                },
                success: function(data){
                    if (data=="Datos Grabados" || data=="Datos Modificados"){
                        $.messager.alert('Informacion',data,'info');
                        $.mobile.back();      // close the dialog
                        $('#dgdefecto').datagrid('reload');    // reload the user data
                    } else {
                        $.messager.alert('Error',data,'error');
                    }
                }
            });
        }

        function nuevoRegfoto(planilla_id, sincro, folio_planilla){
                    var row = $('#dgdefecto').datagrid('getSelected');
                     $.mobile.go('#dlg4');
                    $('#ff4').form('load',row);
                    
                  
                    url = 'guardar_foto.php?planilla_id='+planilla_id+'&sincro='+sincro+'&folio_planilla='+folio_planilla;
         }

         function guardarRegfoto(){
            $('#ff4').form('submit',{
                url: url,
                onSubmit: function(){
                    return $(this).form('validate');
                },
                success: function(data){
                    if (data=="Datos Grabados" || data=="Datos Modificados"){
                        $.messager.alert('Informacion',data,'info');
                        $.mobile.back();      // close the dialog
                        $('#dgdefecto').datagrid('reload');    // reload the user data
                    } else {
                        $.messager.alert('Error',data,'error');
                    }
                }
            });
        }



        
            </script>
            <style scoped>
                form label{
                    display: block;
                    margin: 10px 0 5px 0;
                    font-size: 20px;
                }
            </style>

</body>
</html>